# class CongestionControl

*Defined at src/network/nic/congestion_control.h#11*

## Members

protected Bytes _cwnd

protected Bytes _cwnd_max



## Functions

### CongestionControl

*public void CongestionControl(Bytes init_cwnd, Bytes max_cwnd)*

### update

*public void update(const Packet & pkt, Time rtt)*

### is_allowed_to_send

*public bool is_allowed_to_send(Bytes bytes_outstanding, Bytes next_bytes)*

### ~CongestionControl

*public void ~CongestionControl()*

*Defined at src/network/nic/congestion_control.h#14*

### cwnd

*public Bytes cwnd()*

*Defined at src/network/nic/congestion_control.h#21*

### cwnd_max

*public Bytes cwnd_max()*

*Defined at src/network/nic/congestion_control.h#24*



